routes/web.php
<?php

use App\Http\Controllers\HistorialeController;
use App\Http\Controllers\ResidenteController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Auth::routes();

Route::get('/home', 'App\Http\Controllers\HomeController@index')->name('home');

Route::group(['middleware' => 'auth'], function () {
	Route::resource('user', 'App\Http\Controllers\UserController', ['except' => ['show']]);
	Route::get('profile', ['as' => 'profile.edit', 'uses' => 'App\Http\Controllers\ProfileController@edit']);
	Route::put('profile', ['as' => 'profile.update', 'uses' => 'App\Http\Controllers\ProfileController@update']);
	Route::get('upgrade', function () {return view('pages.upgrade');})->name('upgrade'); 
	Route::get('map', function () {return view('pages.maps');})->name('map');
	Route::get('icons', function () {return view('pages.icons');})->name('icons');

	Route::resource('/residentes', 'App\Http\Controllers\ResidenteController');
	Route::resource('/empleados', 'App\Http\Controllers\EmpleadoController');
	Route::get('/residentes/{residente}/pdf', [App\Http\Controllers\ResidenteController::class,'getPdfSignosVitales']);
	Route::get('/residentes/{residente}/hijos/create', function ($residente_id) {return view('hijos.create');});
	Route::resource('/hijos', 'App\Http\Controllers\HijoController');
	Route::resource('/medicinas', 'App\Http\Controllers\MedicinaController');
	Route::resource('/tratamientos', 'App\Http\Controllers\TratamientoController');
	Route::get('/tratamientos/{id}/create', [\App\Http\Controllers\TratamientoController::class, 'create'])->name('tratamientos.create');
	Route::resource('/libroIngresos', 'App\Http\Controllers\LibroIngresoController');
	Route::resource('/libroEgresos', 'App\Http\Controllers\LibroEgresoController');
	Route::resource('/libroGastos', 'App\Http\Controllers\LibroGastoController');
	Route::resource('/dietas', 'App\Http\Controllers\DietaController');
	Route::get('/dietas/{id}/create', [\App\Http\Controllers\DietaController::class, 'create'])->name('dietas.create');

	Route::get('table-list', function () {return view('pages.tables');})->name('table');
	Route::put('profile/password', ['as' => 'profile.password', 'uses' => 'App\Http\Controllers\ProfileController@password']);

	//libro Ingresos
	Route::resource('/libroIngresos', 'App\Http\Controllers\LibroIngresoController');
	//libro Egresos
	Route::resource('/libroEgresos', 'App\Http\Controllers\LibroEgresoController');
	//historiales
	Route::resource('/residentes/{residente}/historiales', 'App\Http\Controllers\HistorialeController');

	Route::delete('/historiales/{id}', [\App\Http\Controllers\HistorialeController::class, 'destroye'])->name('historiales.destroye'); // Laravel 8
	Route::get('/historiales/{id}/edite', [\App\Http\Controllers\HistorialeController::class, 'edite'])->name('historiales.edite'); // Laravel 8
	Route::put('/historiales/{id}', [\App\Http\Controllers\HistorialeController::class, 'updates'])->name('historiales.updates');
	
	//infromes 
	Route::get('/informes', [App\Http\Controllers\InformeController::class,'index'])->name('informes.index');

	Route::post('/informes/pdfIngresosFecha', [App\Http\Controllers\InformeController::class,'pdfIngresosFecha'])->name('informes.pdfIngresosFecha');

	Route::post('/informes/pdfGastosResidente', [App\Http\Controllers\InformeController::class,'pdfGastosResidente'])->name('informes.pdfGastosResidente');

	Route::get('/informes/pdfIngresos', [App\Http\Controllers\InformeController::class,'pdfIngresos']);
	
	Route::get('/informes/pdfEgresos', [App\Http\Controllers\InformeController::class,'pdfEgresos']);
	Route::get('/informes/pdfTotal', [App\Http\Controllers\InformeController::class,'pdfTotal']);
	
});

app/Models/Dieta.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Dieta extends Model
{
    use HasFactory;
    //Relación uno a uno
    public function historial()
    {
        return $this->hasOne('App\Models\Historiale');
    }
}

app/Http/Controllers/DietaController.php
<?php

namespace App\Http\Controllers;

use App\Models\Dieta;
use App\Models\Residente;
use Illuminate\Http\Request;
use DateTime;

class DietaController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    // Recibe el id del historial
    public function create($id)
    {
        $residente = Residente::join('historiales', 'historiales.residente_id', '=', 'residentes.id')
                ->where('historiales.id', $id)
                ->select('residentes.*')->get()->first();

        return view('dietas.create', compact('residente'))->with(compact('id'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $dieta = new Dieta();

        $dieta->alimentos_prohibidos = $request->get('alimentos_prohibidos');
        $dieta->alimentos_beneficioso = $request->get('alimentos_beneficioso');
        $dieta->historial_id = $request->get('historial_id');
        //$dieta->historial_id = 1;

        $dieta->save();

        $residente = Residente::join('historiales', 'historiales.residente_id', '=', 'residentes.id')
            ->join('dietas', 'dietas.historial_id', '=', 'historiales.id')
                    ->where('dietas.id', $dieta->id)
                    ->select('residentes.*')->get()->first();

        return redirect('dietas/'.$residente->id);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    // Recibe el id del residente
    public function show($id)
    {
        $residente = Residente::find($id);
        $dieta = Dieta::join('historiales', 'historiales.id', '=', 'dietas.historial_id')
            ->join('residentes', 'residentes.id', '=', 'historiales.residente_id')
                    ->where('residentes.id', $id)
                    ->select('dietas.*')->get()->first();
        $fecha = new DateTime($residente->first()->fecha_nacimiento);
        $hoy = new DateTime();
        $dif = $hoy->diff($fecha);
        $edad = $dif->y;
        return view('dietas.show', compact('dieta'))->with(compact('residente'))->with(compact('edad'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Dieta  $dieta
     * @return \Illuminate\Http\Response
     */
    public function edit(Dieta $dieta)
    {
        $residente = Residente::join('historiales', 'historiales.residente_id', '=', 'residentes.id')
            ->join('dietas', 'dietas.historial_id', '=', 'historiales.id')
                    ->where('dietas.id', $dieta->id)
                    ->select('residentes.*')->get()->first();
        return view('dietas.edit', compact('dieta'))->with(compact('residente'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Dieta  $dieta
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Dieta $dieta)
    {
        $residente = Residente::join('historiales', 'historiales.residente_id', '=', 'residentes.id')
            ->join('dietas', 'dietas.historial_id', '=', 'historiales.id')
                    ->where('dietas.id', $dieta->id)
                    ->select('residentes.*')->get()->first();
        $dieta->alimentos_prohibidos = $request->get('alimentos_prohibidos');
        $dieta->alimentos_beneficioso = $request->get('alimentos_beneficioso');
        $dieta->historial_id = $request->get('historial_id');

        $dieta->save();

        return redirect('dietas/'.$residente->id);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Dieta  $dieta
     * @return \Illuminate\Http\Response
     */
    public function destroy(Dieta $dieta)
    {
        $residente = Residente::join('historiales', 'historiales.residente_id', '=', 'residentes.id')
            ->join('dietas', 'dietas.historial_id', '=', 'historiales.id')
                    ->where('dietas.id', $dieta->id)
                    ->select('residentes.*')->get()->first();
        //dd($dieta);
        //dd($residente);
        $dieta->delete();
        return redirect('dietas/'.$residente->id);
    }
}

resources/views/dietas/create.blade.php
@extends('layouts.app', ['title' => __('Nuevo dieta')])

@section('content')
  @include('layouts.headers.header')
  <div class="container-fluid mt--7">
    <div class="card bg-secondary shadow">
      <div class="card-header bg-white border-0">
        <div class="row align-items-center">
          <h3 class="mb-0">{{ __('Esfecificar una dieta') }}</h3>
        </div>
      </div>
      <div class="card-body">
        <form method="post" action="/dietas" autocomplete="off">
          @csrf
          <h6 class="heading-small text-muted mb-4">{{ __('Ingresar datos') }}</h6>
                                
          <div class="pl-lg-4">
            <div class="form-group">
              <label class="form-control-label" for="alimentos_prohibidos">{{ __('Alimentos prohibidos') }}</label>
              <textarea class="form-control" name="alimentos_prohibidos" id="alimentos_prohibidos" rows="4" value="{{ old('alimentos_prohibidos') }}" required autofocus></textarea>
            </div>
            @if ($errors->has('alimentos_prohibidos'))
              <span class="error text-danger" for="alimentos_prohibidos">{{ $errors->first('alimentos_prohibidos') }}</span>
            @endif
            <div class="form-group">
              <label class="form-control-label" for="alimentos_beneficioso">{{ __('Alimentos recomendados') }}</label>
              <textarea class="form-control" name="alimentos_beneficioso" id="alimentos_beneficioso" rows="4" value="{{ old('alimentos_beneficioso') }}" required autofocus></textarea>
              <input type="hidden" name="historial_id" value="{{$id}}">
            </div>
            @if ($errors->has('alimentos_beneficioso'))
              <span class="error text-danger" for="alimentos_beneficioso">{{ $errors->first('alimentos_beneficioso') }}</span>
            @endif
            <div class="text-center">
              <a href="../../dietas/{{$residente->id}}" class="btn btn-secondary mt-4">{{ __('Cancelar') }}</a>
              <button type="submit" class="btn btn-success mt-4">{{ __('Guardar') }}</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
@endsection
@push('js')
    <script src="{{ asset('argon') }}/vendor/chart.js/dist/Chart.min.js"></script>
    <script src="{{ asset('argon') }}/vendor/chart.js/dist/Chart.extension.js"></script>
@endpush

resources/views/dietas/edit.blade.php
@extends('layouts.app', ['title' => __('Editar dieta')])

@section('content')
  @include('layouts.headers.header')
  <div class="container-fluid mt--7">
    <div class="card bg-secondary shadow">
      <div class="card-header bg-white border-0">
        <div class="row align-items-center">
          <h3 class="mb-0">{{ __('Editar la dieta') }}</h3>
        </div>
      </div>
      <div class="card-body">
        <form method="post" action="/dietas/{{$residente->id}}" autocomplete="off">
          @csrf
          @method('put')
          <h6 class="heading-small text-muted mb-4">{{ __('Editar datos') }}</h6>
          <div class="pl-lg-4">
          <div class="form-group">
              <label class="form-control-label" for="alimentos_prohibidos">{{ __('Alimentos prohibidos') }}</label>
              <textarea class="form-control" name="alimentos_prohibidos" id="alimentos_prohibidos" rows="4" required autofocus>{{ $dieta->alimentos_prohibidos }}</textarea>
            </div>
            @if ($errors->has('alimentos_prohibidos'))
              <span class="error text-danger" for="alimentos_prohibidos">{{ $errors->first('alimentos_prohibidos') }}</span>
            @endif
            <div class="form-group">
              <label class="form-control-label" for="alimentos_beneficioso">{{ __('Alimentos recomendados') }}</label>
              <textarea class="form-control" name="alimentos_beneficioso" id="alimentos_beneficioso" rows="4" required>{{ $dieta->alimentos_beneficioso }}</textarea>
              <input type="hidden" name="historial_id" value="{{$dieta->historial_id}}">
            </div>
            @if ($errors->has('alimentos_beneficioso'))
              <span class="error text-danger" for="alimentos_beneficioso">{{ $errors->first('alimentos_beneficioso') }}</span>
            @endif
            <div class="text-center">
              <a href="/dietas/{{$residente->id}}" class="btn btn-secondary mt-4">{{ __('Cancelar') }}</a>
              <button type="submit" class="btn btn-success mt-4">{{ __('Guardar') }}</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
@endsection

@push('js')
    <script src="{{ asset('argon') }}/vendor/chart.js/dist/Chart.min.js"></script>
    <script src="{{ asset('argon') }}/vendor/chart.js/dist/Chart.extension.js"></script>
@endpush

resources/views/dietas/show.blade.php
@extends('layouts.app')

@section('content')
  @include('layouts.headers.header')
  <!-- Tabla -->
  <div class="container-fluid mt--6">
    <div class="row">
        <div class="col-xl">
                <div class="card card-profile shadow">
                    <div class="row justify-content-center">
                        <div class="col-lg-3 order-lg-2">
                            <div class="card-profile-image">
                                <a href="#">
                                  {{--dd($residente)--}}
                                    @if($residente->first()->imagen === null)
                                      <img src="{{ asset('img') }}/residente/img.jpg" class="rounded-circle">
                                    @else
                                      <img src="{{ asset('img') }}/residente/{{$residente->imagen}}" class="rounded-circle">
                                    @endif
                                </a>
                            </div>
                        </div>
                    </div>

                    <div class="card-header text-center border-0 pt-8 pt-md-4 pb-0 pb-md-4">
                        <div class="d-flex justify-content-between">
                            <a href="/residentes/{{$residente->id}}/historiales" class="btn btn-sm btn-info mr-4">{{ __('Volver a historial') }}</a>
                            @if (isset($dieta) )
                            <div class="row mr-4">
                            <a href="@if (isset($dieta) ) /dietas/{{$dieta->id}}/edit @endif" class="btn btn-sm btn-info ">{{ __('Editar') }}</a>
                            <form id="{{$dieta->id}}" action="{{route('dietas.destroy', $dieta->id)}}" method="POST">
                              @csrf
                              @method('DELETE')
                              <a class="btn btn-sm btn-default float-right" href="javascript:{}" onclick="document.getElementById('{{$dieta->id}}').submit(); return false;">Eliminar</a>
                            </form>
                            @endif
                            </div>
                        </div>
                    </div>
                    
                    <div class="card-body pt-0 pt-md-4">
                        <div class="row">
                            <div class="col">
                                <div class="card-profile-stats d-flex justify-content-center mt-md-5">
                                    <div>
                                        <span class="description">{{ __('Nombre') }}</span>
                                        <span class="heading">{{$residente->nombre}}</span>
                                    </div>
                                    <div>
                                        <span class="description">{{ __('Apellido') }}</span>
                                        <span class="heading">{{$residente->apellido}}</span>
                                    </div>
                                    <div>
                                        <span class="description">{{ __('Edad') }}</span>
                                        <span class="heading">{{$edad}}</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        {{--dd($residente[0], $tratamiento, $medicinas[0])--}}
                        @if (isset($dieta) )

                        <h1 class="text-center">Dieta</h2><br>
                        <div class="row mx-5">
                          <div class="col text-center">
                            <h3>Alimentos prohibidos</h3>
                            <p>{{$dieta->alimentos_prohibidos}}</p>
                          </div>
                          <div class="col text-center">
                            <h3>Alimentos recomendados</h3>
                            <p>{{$dieta->alimentos_beneficioso}}</p>
                          </div>
                        </div>
                    </div>
                </div>
                @else {{ "No tiene dieta asignada"}}
              @endif
        </div>
    </div>
  </div>
@endsection

@push('js')
    <script src="{{ asset('argon') }}/vendor/chart.js/dist/Chart.min.js"></script>
    <script src="{{ asset('argon') }}/vendor/chart.js/dist/Chart.extension.js"></script>
@endpush